﻿body {
    font-family: 'Figtree';
    margin: 0;
}

/* ---------- HERO ---------- */
.hero-section {
    max-width: 670px;
    padding: 150px 0 40px;
}

.hero-title {
    font-size: clamp(2rem, 4vw, 3.5rem);
    font-weight: 400;
    line-height: 1.2;
}

.hero-desc {
    font-size: 1rem;
    max-width: 700px;
    margin: auto;
}

/* ---------- BUTTON ---------- */
.btn-primary-custom {
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #69BFAF 360deg);
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    padding: 12px 30px;
    border: none;
    color: white;
    font-size: 1rem;
    border-radius: 4px;
    margin-bottom: 60px;
}


.btn-primary-custom:hover {
    color: #e9ffff;
    background: rgba(10, 25, 25, 0.85);
    border: 1px solid rgba(120, 255, 255, 0.45);
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.35), 0 0 25px rgba(0, 255, 255, 0.25), inset 0 0 12px rgba(0, 255, 255, 0.25);
}

:root[data-theme="light"] .btn-primary-custom {
    background: conic-gradient(from -3.29deg at 100% -13%, #48C0ED 0deg, #1A3D59 360deg);
    box-shadow: 0px 0px 30px 0px #69BFAF99;
    color: white;
}

    :root[data-theme="light"] .btn-primary-custom:hover {
        background: #FFFFFFBF;
        box-shadow: 0px 0px 30px 0px #1A3D5999;
        color: #1A3D59;
    }

/* ---------- PERCENTILE ---------- */

.percentile-section {
    padding: 80px 0;
}

/* Center heading */
.percentile-heading {
    font-size: 2.8rem;
    font-weight: 400;
    text-align: center;
}

/* Center numbers */
.percentile-number {
    font-size: 3.2rem;
    font-weight: 600;
    color: #69BFAF;
    text-align: center;
}

/* Center paragraph & control width */
.percentile-text {
    font-size: 1rem;
    max-width: 180px;
    text-align: center;
    margin: 0 auto; /* KEY FIX */
}

/* ---------- TEXT CARDS ---------- */
.text-card-section {
    padding: 80px 0;
    max-width: 1200px;
}

.text-card-heading {
    font-size: 2.5rem;
    max-width: 450px;
    margin-left: 375px;
    margin-bottom: 2rem;
}

.text-card-subheading {
    color: #69BFAF;
    font-size: 1.5rem;
    margin-bottom: 40px;
}

.text-card {
    border: 1px solid #222;
    padding: 20px;
    border-radius: 6px;
}

    .text-card p {
        font-size: 1.2rem;
        max-width: 450px;
        text-align: left;
    }

    .text-card:hover {
        box-shadow: 0 0 12px #69BFAF;
    }

/* ---------- IMAGE CARDS ---------- */
.img-card-section {
    padding: 70px 0 150px 0;
}

.img-card-heading {
    font-size: 2.5rem;
    width: 700px;
    max-width: fit-content;
    margin-left: 240px;
}

.img-card-box {
/*    background: #111;*/
    border: 1px solid #222;
    padding: 25px;
    height: 100%;
}

    .img-card-box:hover {
        box-shadow: 0 0 12px #69BFAF;
    }

.img-card-img {
    width: 100%;
    border-radius: 8px;
}

.explore-link {
    color: #69BFAF;
    text-decoration: none;
}

/* ---------- ARTICLES ---------- */
.articles-section {
    padding: 80px 0;
}

h2.articles-heading {
    font-size: 3rem;
    max-width: 700px;
}

.articles-section .row {
    max-width: 1200px; /* keep centered container width */
    margin: auto;
}


.article-card {
    /*    max-width: 320px;*/
    border: 1px solid #69BFAF;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.article-content {
    padding: 20px;
}

.article-image img {
    width: 100%;
/*    height: 220px;*/
    object-fit: cover;
}

    /* ---------- FORM ---------- */
    .form-section {
        padding: 80px 10px;
    }

.form-title {
    font-size: 2.5rem;
    color: #69BFAF;
}

.contact-us-form input,
.contact-us-form textarea {
    width: 100%;
    border: none;
    border-bottom: 1px solid #444;
    background: transparent;
    padding: 10px 0;
}

.public section.contact-section {
    margin-top: 0;
}


/*// Laptops large devices (desktops, 1600px and up)*/
@media (min-width: 1600px) and (max-width: 1699.98px) {
}

/*// Laptops large devices (desktops, 1400px and up)*/
@media (min-width: 1400px) and (max-width: 1599.98px) {
}

/*// Laptops small devices (desktops, 1200px and up)*/
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) and (max-width: 1199.98px) {
}

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) and (max-width: 991.98px) {

    .hero-section h3 {
        font-size: 3rem !important;
    }

    .hero-desc {
        font-size: 0.9rem;
    }
    .btn-primary-custom {
        padding: 11px 12px;
        font-size: 0.9rem;
    }

    .percentile-heading {
        font-size: 2.7rem;
    }

    .percentile-number {
        font-size: 3rem;
    }

    .percentile-text {
        font-size: 0.9rem;
    }

    .text-card-heading {
        font-size: 2.4rem;
        max-width: 450px;
        margin-left: 207px;
        margin-bottom: 2rem;
    }

    .text-card-heading {
        font-size: 2.4rem;
        max-width: 450px;
        margin-left: 207px;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card p {
        font-size: 1rem;
    }

    .img-card-heading {
        font-size: 2.4rem;
        max-width: 390px;
        margin-left: 170px;
    }

    h2.articles-heading {
        font-size: 2.5rem;
    }

    .article-card {
        height: 85%;
    }

}

/*// Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) and (max-width: 767.98px) {


    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
    }

        .text-card p {
            font-size: 1rem;
        }

    .img-card-section {
        padding: 0;
    }

    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-img {
        display: none;
    }

    .articles-section {
        padding: 120px 0;
    }

    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
    }

        .text-card p {
            font-size: 1rem;
        }

    .img-card-section {
        padding: 0;
    }

    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-img {
        display: none;
    }

    .articles-section {
        padding: 120px 0;
    }

        .articles-section .article-card {
            margin-left: 0;
        }

    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
        margin: 10px;
    }

        .text-card p {
            font-size: 1rem;
        }

    .img-card-section {
        padding: 0;
    }


    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-box {
        padding: 10px;
        margin: 10px;
    }

    .img-card-img {
        display: none;
    }

        .articles-section {
            padding: 120px 0;
        }

    h2.articles-heading {
        font-size: 2rem;
    }

    .articles-section .article-card {
        margin-left: 0 !important;
        height: 100% !important;
    }

    .form-section {
        flex-direction: column;
        margin-top: -7rem !important;
    }

    .form-section h4{
        max-width: 400px;
    }

    .form-section p{
        max-width: 300px;
    }
}

/*// Extra small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {

    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
    }

    .text-card p {
            font-size: 1rem;
     }

    .img-card-section {
        padding: 0;
    }

    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-box {
        padding: 10px;
        margin: 10px;
    }

    .img-card-img {
        display: none;
    }

    .articles-section {
        padding: 120px 0;
    }

    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
    }

        .text-card p {
            font-size: 1rem;
        }

    .img-card-section {
        padding: 0;
    }

    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-img {
        display: none;
    }

    .articles-section {
        padding: 120px 0;
    }

        .articles-section .article-card {
            margin-left: 0;
        }

    .percentile-section {
        padding: 0;
    }

    .percentile-heading {
        font-size: 2rem;
        max-width: 300px;
        margin-left: 40px;
    }

    .percentile-number {
        font-size: 2rem;
    }

    .text-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .text-card-subheading {
        font-size: 1.2rem;
    }

    .text-card {
        padding: 10px;
        margin: 10px;
    }

     .text-card p {
            font-size: 1rem;
     }

    .img-card-section {
        padding: 0;
    }

    .img-card-heading {
        font-size: 2rem;
        margin-left: 0;
    }

    .img-card-img {
        display: none;
    }

    .articles-section {
        padding: 120px 0;
    }

    h2.articles-heading {
        font-size: 2rem;
    }

    .articles-section .article-card {
        margin-left: 0 !important;
        height: 100% !important;
    }

    .form-section {
        flex-direction: column;
        margin-top: -7rem !important;
    }


     .form-section h4 {
            max-width: 400px;
     }

      .form-section p {
            max-width: 300px;
      }
}